Subject: Re: bug#5997: migration emacs 22.3 to 23.1

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Apr 2010 09:39:03 -0400

> In this version (23.1) comment marks are inserted just before code
> text without any spaces,

This is probably because vhdl-comment-uncomment-region uses
comment-region, whose default behavior was changed.  See comment-style.

> and vhdl-comment-uncomment-region function doesn't know that this row
> is commented or no, so it makes new comment and so on....

Rather than C-c C-c (which is specific to VHDL) you may want to try M-;
which should work in "any" mode.  This is use comment-region and
uncomment-region.  I can't seem to reproduce your bug with M-;, so that
would seem to indicate that the bug is in vhdl-comment-uncomment-region,
but please try it out and if you can reproduce it with M-; give us
a precise recipe (and if not tell us so as well, so we know where to
find the fix).

        Stefan